import pickle

import matplotlib.pyplot as plt

plt.rcParams["figure.figsize"] = [18, 9]
plt.style.use("dark_background")
plt.subplots_adjust(left=0.05, right=0.99, top=0.95, bottom=0.05)
plt.margins(x=0.025)

with open("Y.dat", "rb") as file:
    Y = pickle.load(file)
with open("X.dat", "rb") as file:
    X = pickle.load(file)
with open("C.dat", "rb") as file:
    C = pickle.load(file)
plt.stackplot(
    X,
    Y,
    colors=C,
    aa=False,
    linewidth=0.0,
)
plt.savefig(f"/code/metrics/out.png")
