import pickle

import matplotlib.pyplot as plt

plt.rcParams["figure.figsize"] = [18, 9]
plt.style.use("dark_background")
plt.subplots_adjust(left=0.05, right=0.99, top=0.95, bottom=0.05)
plt.margins(x=0.025)

with open("entries.dat", "rb") as file:
    entries_t = pickle.load(file)
X, Y, Ya, Yd = entries_t
plt.plot(X, Y, linewidth=1.0)
plt.fill_between(
    X,
    Y - Ya,
    Y,
    alpha=0.5,
    color="green",
    linewidth=0.0,
)
plt.fill_between(
    X,
    Y,
    Y + Yd,
    alpha=0.5,
    color="red",
    linewidth=0.0,
)
plt.ylim(bottom=0)
plt.savefig("/code/metrics/out.png")
